--- wlan_node.c.orig	2009-04-07 11:34:00.000000000 +0200
+++ wlan_node.c	2009-04-16 15:13:21.000000000 +0200
@@ -289,24 +289,19 @@
     while (bss != NULL)
     {
         nextBss = bss->ni_list_next;
-        if (A_MEMCMP(myBssid, bss->ni_macaddr, sizeof(myBssid)) != 0)
-        {
 
-            if (bss->ni_tstamp <= A_GET_MS(0))
-            {
-               /*
-                * free up all but the current bss - if set
-                */
-                wlan_node_reclaim(nt, bss);
-            }
-            else
-            {
-                /*
-                 * Re-arm timer, only when we have a bss other than
-                 * current bss AND it is not aged-out.
-                 */
-                reArmTimer = TRUE;
-            }
+        // different from the previous version, check the timeout
+        // also for what is considered to be the current bss
+        if (bss->ni_tstamp <= A_GET_MS(0))
+        {
+            // free up this bss
+            wlan_node_reclaim(nt, bss);
+        }
+        else
+        {
+            // Re-arm timer when there is at least one bss and
+            // it's not aged-out
+            reArmTimer = TRUE;
         }
         bss = nextBss;
     }